Magyar nyelvi beszédtechnológiai alapismeretek
Nikol Kkt. 2002.

Multimédiás szoftver (a továbbiakban program)
A program ingyenes, szabadon terjeszthetõ

A programmal kapcsolatos észrevételeit az alábbi web-oldalon teheti meg: http://beszedtechnologia.unideb.hu

 

A CD tartalma a következõ:

 

mnyba könyvtár - a program teljes anyagát tartalmazza
olvassel.html - a jelen dokumentum
start.html - a programot ezzel kell indítani kétszeres rákattintással
segedlet könyvtár - a program futtatásához szükséges (késõbb részletesen leírt) segédprogramokat tartalmazza

   a segedlet\linux könyvtár tartalma:
      install-crossover-plugin-1.1.0-demo.sh
      netscape-i686-pc-linux-gnu-sea.tar.gz

  a segedlet\windows könyvtár tartalma:
      flashplayer5installer.exe
      iexplorer6.exe
      j2re-1_3_1_03-win-i.exe
      N6SetupB622.exe
      QuickTimeInstallCache.qdat
      QuickTimeInstaller.exe


Tartalomjegyzék

 
  1. A program használatához szükséges hardver követelmények
  2. A program használatához szükséges szoftver követelmények
  3. A program telepítése
  4. A program használata
  5. Ismert problémák

 

I. A program használatához szükséges hardver követelmények

 

A program futtatásához egy multimédiás IBM PC kompatibilis vagy Macintosh számítógépre van szükség.

A minimális hardver konfiguráció IBM PC kompatibilis számítógép esetén:

  Pentium II 300 MHz processzor
  64 - 128 Mb memória (a telepített operációs rendszertõl függõen)
  hangkártya, hangszóró
  legalább 800x600-as képernyõ megjelenítés
  CD-ROM meghajtó, legalább 24x-es

A minimális hardver konfiguráció Macintosh számítógép esetén:
  PowerPC G3 processzor
  128 Mb memória
  hangkártya, hangszóró
  legalább 800x600-as képernyõ megjelenítés
  CD-ROM meghajtó, legalább 24x-es

 

II. A program használatához szükséges szoftver követelmények

 

A program Windows/Linux/Mac OS X rendszereken Web böngészõben fut és az alábbiakban leírt három bõvítményt (plug-in) használja.
Ha a megfelelõ verziójú böngészõ vagy bõvítmény nincs telepítve számítógépünkön, akkor a program nem indul, meghatározó fontosságú funkciói (menü, lapozás) nem mûködnek, hibaüzenetek jelenhetnek meg. A bõvítmények meglétét a nyitóképernyõ után megjelenõ "Tartalomjegyzék" oldalon keresztül ellenõrizhetjük.

A program a következõ operációs rendszereken lett tesztelve:
  Windows 95/98/Me/NT 4.0 SP 6a/2000/XP
  Mandrake 8.1, SuSe 7.3 Linux disztribúciók
  Mac OS X v 10.1

A program futtatásához ajánlott Web böngészõk:
  Microsoft Internet Explorer 5.5 vagy újabb (Windows operációs rendszeren)
  Netscape Navigator 6 vagy újabb (Windows vagy Linux operációs rendszeren)
  Microsoft Internet Explorer 5.1 for Mac vagy újabb (MAC OS X operációs rendszeren)

A böngészõk korábbi verzióival a program egyes részei esetleg nem hívódnak be.

A program futtatásához szükséges bõvítmények (lásd a CD \segédlet könyvtárában):
  Flash 5.0 plug-in
  Java 2 plug-in
  QuickTime 5.0 plug-in

 

III. A program telepítése
 

A program a CD-ROM gyökérkönyvtárában található start.html-lel indul, és végig a CD-ROM-on található állományokat használja, ezért magát a programot sem telepíteni nem kell, sem a merevlemezre átmásolni nem feltétlenül szükséges. Lassú CD-ROM esetén azonban érdemes a programot merevlemezre másolni. Másolás elõtt vegyük figyelembe, hogy körülbelül 520 Mb szabad helyre lesz szükség. Másoljuk a merevlemez tetszõleges könyvtárába a CD-ROM-ról az 'mnyba' mappát, valamint a start.html-t.

A program megfelelõ mûködéséhez azonban szükség van a II. pontban részletezett böngészõk valamelyikére ill. az ott felsorolt bõvítményekre. Ezek telepítését az egyes operációs rendszereken most részletezzük. A böngészõ és a bõvítmények telepítéséhez használjuk a CD-ROM 'segedlet' könyvtárában található állományokat, bizonyos lépéseknél azonban szükség lehet közvetlen Internet kapcsolatra.

 

III.1 Telepítés Windows-ra
  Ha a böngészõnk verziója kisebb a II. pontban említettnél, akkor telepítsük a CD-ROM 'segedlet\windows' könyvtárból az Internet Explorer 6.0-át (az 'iexplorer6.exe' indításával) vagy a Nescape Navigator 6.2 -õt (az 'N6SetupB622.exe' indításával). Windows 95 operációs rendszeren az Internet Explorer 5.5 -öt használjuk.
Az Internet Explorer telepítése során válasszuk a Teljes (Full) installálási opciót.
A Netscape Navigator telepítésekor ügyeljünk, hogy a Flash és a Java plug-in be legyen kapcsolva, ekkor ezeket már külön nem kell telepíteni.
Elõfordulhat, hogy a böngészõ telepítése során nehézségekbe ütközünk, ez általában abból adódik, hogy az operációs rendszer még nem lett frissítve a megkívánt ún. Service Pack-kel. A Service Pack ingyenesen letölthetõ az operációs rendszer honlapjáról. Az NT 4.0 operációs rendszert Service Pack 6a-val használjuk.

Ha nem rendelkezünk Flash 5.0 bõvítménnyel, akkor a Internet Explorer esetén a cég honlapjáról telepíthetjük, míg Nescape Navigator esetén a CD-ROM 'segedlet\windows\flashplayer5installer.exe' állománnyal is installálhatjuk.

A Java 2 plug-in telepítése szükség esetén a 'segedlet\windows' könyvtárban lévõ 'j2re-1_3_1_03-win-i.exe' állománnyal végezhetõ el.

A Quicktime 5 plug-in a 'segedlet\windows' könyvtárban lévõ 'QuickTimeInstaller.exe' indításával telepíthetõ.

 

III.2 Telepítés Linux-ra
 

A program futtatásához a Netscape 6.2 ajánlott. Ennek telepítõállománya a 'segedlet/linux' könyvtárban található. A telepítés során a Flash és a Java plug-in legyen bekapcsolva, így külön nem kell õket telepíteni.
A Netscape ezen verziója az alábbi programok megfelelõ verzióját igényli: glibc 2.1, XFree86 3.3.x, GTK 1.2.x, Glib 1.2.x, Libstdc++ 2.9.0.
Ezek elérhetõk a megfelelõ disztribúciók honlapjain keresztül, vagy a http://rpmfind.net/linux/rpm2html/search.php honlapon, az ftp.fsn.hu magyar ftp szerveren. A telepítésükhöz szükséges instrukciók a honlapokon találhatóak.

A QuickTime 5.0 plug-in telepítése a CrossOver1.1.0 demó verziójú plug-in segítségével történik, ami feltelepíti QuickTime 5.0 Windows-os plug-int. A CodeWeavers által készített CrossOver plug-in elérhetõ honlapjukon. A demó változat a 'segedlet/linux' könyvtárban található 'install-crossover-plugin-1.1.0-demo.sh' néven.
A telepítése a parancssorba kiadott 'sh install-crossover-plugin-1.1.0-demo.sh' utasítással történik. A telepítõ létrehozza a hivatkozást a programra. Itt található meg a PluginSetup, mellyel kiválaszthatjuk a telepíteni kívánt Windows-os plug-ineket, ezek közül válasszuk a Quicktime fület. A Quicktime plug-in installálása során közvetlen Internetkapcsolatra is szükség lesz.
A CrossOver1.1.0 demó változata teljes értékû, idõnként a mozilejátszás közben fehér figyelmeztetõ üzenet jelenik meg.

 

III.3 Telepítés Mac OS X-re
 

Mac OS X v 10.1 operációs rendszer esetén az alapértelmezett Microsoft Internet Explorer 5.1 for Mac böngészõt használjuk. Az operációs rendszer része továbbá a 3 szükséges bõvítmény is, ezért külön telepítést ezek nem igényelnek.

 

IV. A program használata
 

A program elindítása kétféleképpen lehetséges:
1. a program a start.html-lel kétszeres rákattintással indítható (Figyelem! A start.html-nek ugyanabban a könyvtárban kell lennie, ahol az mnyba könyvtár van!)
2. elõször elindítjuk a böngészõprogramunkat, majd a megnyitjuk böngészésre a start.html-t.

 

V. Ismert problémák
 

Régi típusú ISA hangkártyák esetén a Java appleteket tartalmazó oldalak használata után a hanglejátszás problémát okozhat, ami a böngészõ újraindításával küszöbölhetõ ki.

A Java hanglejátszó betöltése viszonylag lassú, a betöltõdési idõt a gép teljesítménye határozza meg.